from pyrogram import idle
from time import time
from os import getpid, makedirs
from subprocess import call

#=================================================================================

from functions import *
from app import app
from modules.colors import *

makedirs("logs", exist_ok=True)

#=================================================================================

if __name__ == "__main__":

    print(f'{BBLACK}[{CYAN}{getTime(time())}{BBLACK}] {WHITE}Starting with PID {YELLOW}{getpid()}{WHITE}...{RESET}')
    
    dynamic_import_from_src("extensions", star_import = True)

    from modules.mimes import *
    from modules.anymessage import *

    app.start()

    appendLog(f"[{getDateTime(time())}] Logger bot for @{configGet('owner')} ({configGet('owner_id')}) started")

    idle()                                                                   

    print(f'\n{BBLACK}[{CYAN}{getTime(time())}{BBLACK}] {WHITE}Shutting down with PID {YELLOW}{getpid()}{WHITE}...{RESET}')

    call(f'kill -9 {getpid()}', shell=True)